Bug 177834 - AC97 Sound driver incompatability with RealTek ALC850 sound card on NForce 3 Motherboard.
AC97 Sound driver incompatability with RealTek ALC850 sound card on NForce 3 ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 01:54 EST by David Pulliam
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Pulliam 2006-01-15 01:54:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am unsure if this is the correct component but I feel that I might have discovered an incompatability in the AC 97 drivers with RealTek cards.  I have an RealTek ALC850 built onto an Asus K8N-E board.  It is detected and the AC 97 driver is selected however it will not work though the sound configuration and all appears to be sucessful.  All mixer channels are wide open and the speaker volumn is as well.  Nothing seems to bring this card online though there are Fedora drivers for its chipset.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4

How reproducible:
Always

Steps to Reproduce:
1.  Ran sound card detection.
2.  Test Sound.
3.  
  

Actual Results:  No sound is heard.

Expected Results:  There should have been sound heard through the speakers.

Additional info:

Here is the info related to the sound card from lspci -v:

00:06.0 Multimedia audio controller: nVidia Corporation nForce3 250Gb AC'97 Audio Controller (rev a1)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 812a
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 11
        I/O ports at e800 [size=256]
        I/O ports at e400 [size=128]
        Memory at febfb000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

Here is lsmod | grep snd

snd_intel8x0           32929  1
snd_ac97_codec         88637  1 snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            31809  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                49617  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            50545  0
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                87493  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              25029  2 snd_seq,snd_pcm
snd                    54437  9 snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  2 snd
snd_page_alloc         10697  2 snd_intel8x0,snd_pcm

Kernal info (uname -r): 2.6.14-1.1656_FC4
Comment 1 David Pulliam 2006-01-16 17:14:28 EST
Just an Update: I know it is an AC97 card as I have another computer (non-linux)
that is an NForce 4 based board (A8N-SLI Delux) that has an identical sound card
built into it and it uses AC97 drivers on that machine.
Comment 2 Dave Jones 2006-02-03 01:04:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 David Pulliam 2006-02-04 15:14:06 EST
The issue still presists.  Here is a copy of the log created durring sound card
detection.


------- System Config Soundcard --------
Sat Feb  4 15:14:09 EST 2006

------- lspci --------
00:00.0 Host bridge: nVidia Corporation nForce3 250Gb Host Bridge (rev a1)
00:01.0 ISA bridge: nVidia Corporation nForce3 250Gb LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation nForce 250Gb PCI System Management (rev a1)
00:02.0 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.2 USB Controller: nVidia Corporation nForce3 EHCI USB 2.0 Controller (rev a2)
00:05.0 Bridge: nVidia Corporation CK8S Ethernet Controller (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce3 250Gb AC'97
Audio Controller (rev a1)
00:08.0 IDE interface: nVidia Corporation CK8S Parallel ATA Controller (v2.5)
(rev a2)
00:0a.0 IDE interface: nVidia Corporation CK8S Serial ATA Controller (v2.5) (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400]
(rev b2)
02:0b.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
02:0c.0 RAID bus controller: Silicon Image, Inc. SiI 3114 [SATALink/SATARaid]
Serial ATA Controller (rev 02)

------- lsmod --------
Module                  Size  Used by
nls_utf8                2241  1 
parport_pc             27909  0 
lp                     12937  0 
parport                35593  2 parport_pc,lp
autofs4                19653  2 
rfcomm                 37461  0 
l2cap                  25153  5 rfcomm
bluetooth              47781  4 rfcomm,l2cap
sunrpc                146045  1 
dm_mod                 57177  0 
video                  16197  0 
button                  6737  0 
battery                 9541  0 
ac                      4933  0 
ipv6                  252577  19 
ohci1394               35593  0 
ieee1394              298009  1 ohci1394
ohci_hcd               22109  0 
ehci_hcd               33485  0 
i2c_nforce2             6977  0 
i2c_core               21697  1 i2c_nforce2
forcedeth              23749  0 
snd_intel8x0           32093  1 
snd_ac97_codec         88161  1 snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0 
snd_seq_oss            31809  0 
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                49617  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            50545  0 
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                86981  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              24901  2 snd_seq,snd_pcm
snd                    54309  9
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  2 snd
snd_page_alloc         10697  2 snd_intel8x0,snd_pcm
floppy                 62085  0 
ext3                  129993  3 
jbd                    57941  1 ext3
sata_nv                 9413  0 
sata_sil                9285  0 
libata                 56397  2 sata_nv,sata_sil
sd_mod                 19137  0 
scsi_mod              134889  2 libata,sd_mod

------- /etc/modprobe.conf --------
alias eth0 forcedeth
alias scsi_hostadapter sata_sil
alias scsi_hostadapter1 sata_nv
alias snd-card-0 snd-card-0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias ieee1394-controller ohci1394
# --- BEGIN: Generated by ALSACONF, do not edit. ---
# --- ALSACONF version 1.0.9a ---
#alias snd-card-0 snd-intel8x0
#alias sound-slot-0 snd-intel8x0
# --- END: Generated by ALSACONF, do not edit. ---
#--- ATI  -------------------------------

options snd-atiixp index=0 id="ATI"
#//=================================
alias char-major-14 soundcore
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
#=================================

------- /etc/asound.conf --------
# Generated by system-config-soundcard, do not edit by hand
defaults.pcm.card 0 
defaults.pcm.card 0 

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: CK8S [NVidia CK8S], device 0: Intel ICH [NVidia CK8S]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: CK8S [NVidia CK8S], device 2: Intel ICH - IEC958 [NVidia CK8S - IEC958]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 23 [74%] [on]
  Front Right: Playback 23 [74%] [on]
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 23 [74%] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 23 [74%] [on]
  Front Right: Playback 23 [74%] [on]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [on]
  Front Right: Playback 31 [100%] [on]
Simple mixer control 'Surround Jack Mode',0
  Capabilities:
  Mono:
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [on]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [on]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 23 [74%] [on] Capture [on]
  Front Right: Playback 23 [74%] [on] Capture [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch
cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mic Boost (+20dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Front Input',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Select',0
  Capabilities:
  Mono:
Simple mixer control 'Video',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Phone',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch
cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined cswitch cswitch-joined
  Playback channels: Mono
  Capture channels: Mono
  Mono: Playback [on] Capture [on]
Simple mixer control 'IEC958 Playback AC97-SPSA',0
  Capabilities: volume volume-joined
  Playback channels: Mono
  Capture channels: Mono
  Limits: 0 - 3
  Mono: 3 [100%]
Simple mixer control 'PC Speaker',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 15
  Mono: Playback 15 [100%] [on]
Simple mixer control 'Aux',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 31 [100%] [on] Capture [off]
  Front Right: Playback 31 [100%] [on] Capture [off]
Simple mixer control 'Mono Output Select',0
  Capabilities:
  Mono:
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 0 [0%] [on]
  Front Right: Capture 0 [0%] [on]
Simple mixer control 'Mix',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mix Mono',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Channel Mode',0
  Capabilities:
  Mono:
Simple mixer control 'Duplicate Front',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.10rc3 (Mon Nov 07 13:30:21
2005 UTC).

------- /proc/asound/modules --------
0 snd_intel8x0

------- /proc/asound/pcm --------
00-00: Intel ICH : NVidia CK8S : playback 1 : capture 1
00-01: Intel ICH - MIC ADC : NVidia CK8S - MIC ADC : capture 1
00-02: Intel ICH - IEC958 : NVidia CK8S - IEC958 : playback 1

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:174: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
Card 0 Driver snd_intel8x0...
Unmuting ...
Play. Switch master(0) to 1
Play. Volume master(0) to 23
Play. Switch master(1) to 1
Play. Volume master(1) to 23
Play. Switch pcm(0) to 1
Play. Volume pcm(0) to 23
Play. Switch pcm(1) to 1
Play. Volume pcm(1) to 23
Cap. Switch cd(0) to 1
Play. Switch cd(0) to 1
Play. Volume cd(0) to 23
Cap. Switch cd(1) to 1
Play. Switch cd(1) to 1
Play. Volume cd(1) to 23
Cap. Switch mic(0) to 0
Play. Switch mic(0) to 0
Play. Volume mic(0) to 0
Cap. Switch mic(1) to 0
Unmuting snd_intel8x0...
Play. Switch master mono(0) to 1
Play. Volume master mono(0) to 23
Play. Switch external amplifier(0) to 1
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Card 0 Driver snd_intel8x0...
Unmuting ...
Play. Switch master(0) to 1
Play. Volume master(0) to 23
Play. Switch master(1) to 1
Play. Volume master(1) to 23
Play. Switch pcm(0) to 1
Play. Volume pcm(0) to 23
Play. Switch pcm(1) to 1
Play. Volume pcm(1) to 23
Cap. Switch cd(0) to 1
Play. Switch cd(0) to 1
Play. Volume cd(0) to 23
Cap. Switch cd(1) to 1
Play. Switch cd(1) to 1
Play. Volume cd(1) to 23
Cap. Switch mic(0) to 0
Play. Switch mic(0) to 0
Play. Volume mic(0) to 0
Cap. Switch mic(1) to 0
Unmuting snd_intel8x0...
Play. Switch master mono(0) to 1
Play. Volume master mono(0) to 23
Play. Switch external amplifier(0) to 1
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Desc:           nVidia Corporation nForce3 250Gb AC'97 Audio Controller
Driver:         snd-intel8x0
Device:         None

----------- **** -------------
Comment 4 David Pulliam 2006-02-04 15:23:27 EST
Note: I the previous comment was after updating the kernal the the latest version.
Comment 5 Dave Jones 2006-09-16 23:04:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 6 Dave Jones 2006-10-16 15:23:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jon Stanley 2008-01-19 23:41:11 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.